<?php
/**
*
* linksmod.php [English]
*
* @author Stoker 4.0
* @package PhpBB Links Mod
* @version $Id: linksmod.php,v v1.0.3 Exp $
* @copyright (c) 2013 Stoke
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(		
	'ACP_LINKSMOD_CONFIG'			=> 'Links Mod Configuration',
	'ACP_LINKSMOD_CONFIG_EXPLAIN'	=> 'This is configuration page for the Links Mod by Stoker',
	'LINKSMOD_VERSION'				=> 'Version',
	'LINKSMOD_DONATE'				=> 'Please consider a <a href="http://www.phpbb3bbcodes.com/donate.php"><strong>Donation</strong></a> if you like the MOD',
	
	'LINKSMOD_DISABLED'				=> 'Sorry, the Links page is currently unavailable',
	'LINKSCLICK_DISABLED'			=> 'Clicks are disabled. You are being redirected to the links page.',
	'LINKSMOD_NOT_INSTALLED'		=> 'Links MOD database entries are missing.<br />Please run the %sinstaller%s to make the database changes for the modification.',
	'LINKSMOD_NOT_INSTALLED_USER'	=> 'The Links page is not installed. Please notify the board founder.',
	'LINKSMOD_EMPTY'				=> 'There is currently no links to see',
	'LINKSMODPAGE_TITLE'			=> 'Links',
	'LINKSMOD_VISITS'				=> 'Visits',
	'LINKSMOD_BANNER'				=> 'Banner',
	
	'LINKSMOD_NO_REFERRER'			=> 'No Referrer!',
	'LINKSMOD_LEAVING'				=> 'You are now leaving',
	'LINKSMOD_GOES_TO'				=> 'and going to',
	'LINKSMOD_GO_FRONT'				=> 'You are redirected to the frontpage',
	'REDIRECT_TITLE'				=> 'Thanks for visiting!',
	
	'ACP_LINKSMOD_CONFIG_SET'		=> 'Configure Links Mod settings',
	'LINKSMOD_CONFIG_SAVED'			=> 'Links Mod settings saved',
	
	'LINKSMOD_ENABLE'				=> 'Enable Links Mod',
	'LINKSMOD_ENABLE_EXPLAIN'		=> 'Enable or disable the Links Mod here. Links page is not accessible when disabled',
	'LINKSCLICK_ENABLE'				=> 'Enable Click Count',
	'LINKSCLICK_ENABLE_EXPLAIN'		=> 'When enabled each visit will be counted and displayed at the links page. Also there is a redirect page active',
	'LINKSTHUMB_ENABLE'				=> 'Enable Thumbshots',
	'LINKSTHUMB_ENABLE_EXPLAIN'		=> 'When enabled a website thumbnail from thumbshots.org will be displayed',
	'LINKSBANNER_ENABLE'			=> 'Enable Banner',
	'LINKSBANNER_ENABLE_EXPLAIN'	=> 'When enabled a banner can be added and displayed at the links page',
	'LINKSPAGE_NUMBER'				=> 'Number of links per page',
	'LINKSPAGE_NUMBER_EXPLAIN'		=> 'Set the number of links per page on the Links page',
	'LINKSMOD_STW'					=> 'Scrink the web access key',
	'LINKSMOD_STW_EXPLAIN'			=> 'Enter you Schrink The Web access key to enable thumbs from Schrink The Web instead of using thumbs from thumbshot.org<br />You can get an access key <a href="http://www.shrinktheweb.com"><strong>here</strong></a>',
	
	'ACP_LINKSMOD'					=> 'Links Mod Management',
	'ACP_LINKSMOD_EXPLAIN'			=> 'Add, edit and configure links here',
	'LINKSMOD_ID'					=> 'ID',
	'LINKSMOD_NAME'					=> 'Name',
	'LINKSMOD_URL'					=> 'URL',
	'LINKSMOD_DESC'					=> 'Description',
	'LINKSMOD_BANNER'				=> 'Banner',
	
	'LINKSMOD_ADDED'				=> 'New link added',
	'LINKSMOD_UPDATED'				=> 'Link updated',
	'ADD_URL'						=> 'Add new link',
	'NO_LINKSMOD_NAME'				=> 'You forgot link name',
	'NO_LINKSMOD_URL'				=> 'You forgot link url',
	
	'LINKS_TITLE_PAGE_NUMBER'		=> 'Page %s',
	'LINK_COUNT'					=> '1 Link',
    'LINKS_COUNT'					=> '%d Links',
));

$lang = array_merge($lang, array(
	'INSTALL_LINKSLIB'				=> 'Install Links Mod',
	'INSTALL_LINKSLIB_CONFIRM'		=> 'Are you ready to install Links Mod?',
	'LINKSMOD'						=> 'Links Mod',
	'LINKSLIB_EXPLAIN'				=> 'Install Links Mod database changes with UMIL auto method.',
	'UNINSTALL_LINKSLIB'			=> 'Uninstall Links Mod',
	'UNINSTALL_LINKSLIB_CONFIRM'	=> 'Are you ready to uninstall Links Mod? All settings and data saved by this mod will be removed!',
	'UPDATE_LINKSLIB'				=> 'Update Links Mod',
	'UPDATE_LINKSLIB_CONFIRM'		=> 'Are you ready to update Links Mod?',
));

?>