<?php
/** 
*
* @author Stoker 4.0
* @package PhpBB Links Mod
* @version $Id: redirect.php, v1.0.3 Exp $
* @copyright (c) 2013 Stoker 4.0 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/
	
/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/linksmod');

// Do we have clicks enabled
if (isset($config['linksclick_enable']) && $config['linksclick_enable'] == 0)
{
	$redirect = append_sid("{$phpbb_root_path}links.$phpEx");
	$redirect = meta_refresh(3, $redirect);
	trigger_error($user->lang['LINKSCLICK_DISABLED'], E_USER_NOTICE);
}

$linksmod_id   = request_var('id', 0);

global $db;
       
$sql = 'SELECT linksmod_id, linksmod_name, linksmod_url
	FROM ' . LINKS_TABLE . '
	WHERE linksmod_id = '.$linksmod_id;
$result = $db->sql_query($sql);

while ($row = $db->sql_fetchrow($result))
{
	$linksmod_id = $row['linksmod_id'];

	$template->assign_block_vars('linksmod', array(
		'LINKSMOD_NAME'		=> $row['linksmod_name'],
		'LINKSMOD_URL'		=> $row['linksmod_url'],
	));
}
$db->sql_freeresult($result);

$sql = 'UPDATE ' . LINKS_TABLE . '
SET linksmod_click = linksmod_click + 1
WHERE linksmod_id = '. $linksmod_id;
$db->sql_query($sql);    

page_header($user->lang['REDIRECT_TITLE'], false);
   
$template->set_filenames(array(
	'body' => 'linksmod_go.html')
);

page_footer();
?>